<script lang="ts">
  import { Card, CardBody, CardTitle } from "@sveltestrap/sveltestrap";
  import type { PageData } from "./$houdini";
  import LabeledContainer from "@components/LabeledContainer.svelte";
  import {
    faFlag,
    faInfoCircle,
    faListCheck,
    faMap,
    faMessage,
    faUserCheck,
  } from "@fortawesome/free-solid-svg-icons";
  import Fa from "svelte-fa";
  import TeamChallengeSummary from "@components/Challenges/TeamChallengeSummary.svelte";

  export let data: PageData;

  $: MyTeam = data.MyTeam;
  $: team = $MyTeam.data.teams_by_pk;
  console.log($MyTeam);
</script>

<svelte:head>
  <title>My Team</title>
</svelte:head>

<div class="container px-4">
  <h1>Team Dashboard - {team.long_name || team.name}</h1>
  <h3>Here's some quick links to documentation and other resources!</h3>

  <div class="row mt-5 justify-content-evenly">
    <a href="/scoring/info" style="display: contents">
      <Card class="col-12 col-md-5 col-lg-3 m-2">
        <CardBody>
          <CardTitle>Competition Info</CardTitle>

          <div>
            <Fa size="4x" class="ms-3 float-end" icon={faInfoCircle} />
            General information about the competition, the environment, and more!
          </div>
        </CardBody>
      </Card>
    </a>

    <a href="/teams/{team.id}/task-board" style="display: contents">
      <Card class="col-12 col-md-5 col-lg-3 m-2">
        <CardBody>
          <CardTitle>Task Board</CardTitle>

          <p>
            <Fa size="4x" class="ms-3 float-end" icon={faListCheck} />
            Organize your team with the built-in task board. Create tasks directly from CTF challenges, Service
            Feedback, or manually on the Task Board page!
          </p>
        </CardBody>
      </Card>
    </a>

    <a href="/teams/{team.id}/service-feedback" style="display: contents">
      <Card class="col-12 col-md-5 col-lg-3 m-2">
        <CardBody>
          <CardTitle>Service Feedback</CardTitle>

          <p>
            <Fa size="4x" class="ms-3 float-end" icon={faMessage} />
            Discover detailed information about your team's services!
          </p>
        </CardBody>
      </Card>
    </a>

    <a href="/scoring/topology" style="display: contents">
      <Card class="col-12 col-md-5 col-lg-3 m-2">
        <CardBody>
          <CardTitle>Network Topology</CardTitle>
          <div>
              <Fa size="4x" class="ms-3 float-end" icon={faMap} />
              Review the competition network topology. This is your trusty map!
          </div>
        </CardBody>
      </Card>
    </a>


    <a href="/scoring/checks" style="display: contents">
      <Card class="col-12 col-md-5 col-lg-3 m-2">
        <CardBody>
          <CardTitle>Service Info</CardTitle>

          <div>
            <Fa size="4x" class="ms-3 float-end" icon={faUserCheck} />
            Discover <i>exactly</i> what each Infrastructure Scoring check requires to be successful!
          </div>
        </CardBody>
      </Card>
    </a>

    <a href="/challenges" style="display: contents">
      <Card class="col-12 col-md-5 col-lg-3 m-2">
        <CardBody>
          <CardTitle>
            CTF Challenges
          </CardTitle>

          <div class="">
            <Fa size="4x" class="float-end ms-3" icon={faFlag} />
            New CTF challenges will be released throughout the competition. Check back often!
          </div>
        </CardBody>
      </Card>
    </a>

  </div>

  <div class="row">
    <div class="col-md-6">
      <LabeledContainer label="CTF Progress" borderColor="orange">
        <TeamChallengeSummary />
      </LabeledContainer>
    </div>

    <div class="col-md-6">
      <LabeledContainer label="Service Status" borderColor="blue">
        Coming soon!
      </LabeledContainer>
    </div>
  </div>
</div>

